%define pypi_name jupyter_console

Name:           jupyter-console
Version:        6.6.3
Release:        %mkrel 3
Group:          Development/Python
Summary:        Jupyter terminal console (tools)

License:        BSD
URL:            https://jupyter.org/
Source0:        https://files.pythonhosted.org/packages/source/j/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Patch0:         jupyter-console-6.4.0-relax-dependencies.patch
BuildArch:      noarch
BuildRequires:  python3-devel
Requires:       python3-%{name} = %{version}-%{release}

%description
An IPython-like terminal frontend for Jupyter kernels in any language.

This package contains the jupyter-console tool.

%package -n     python3-%{name}
Summary:        Jupyter terminal console APIs (Python 3)
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
An IPython-like terminal frontend for Jupyter kernels in any language.
Provide the "jupyter console" entry point.

This package installs the library for Python 3.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jupyter_console

%files
%{_bindir}/jupyter-console

%files -n python3-%{name} -f %{pyproject_files}
%license LICENSE


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 6.6.3-3.mga10
+ Revision: 2242739
- Mageia 10 Mass Rebuild

* Tue Mar 04 2025 wally <wally> 6.6.3-2.mga10
+ Revision: 2160376
- rebuild for python3.13

* Sun Jan 07 2024 papoteur <papoteur> 6.6.3-1.mga10
+ Revision: 2028832
- rebuild for python 3.12
- use pyproject
- new version 6.6.3
+ neoclust <neoclust>
- New version 6.4.4

* Thu Mar 24 2022 umeabot <umeabot> 6.4.0-4.mga9
+ Revision: 1824077
- Mageia 9 Mass Rebuild

* Sun Mar 06 2022 mrambo3501 <mrambo3501> 6.4.0-3.mga9
+ Revision: 1789143
- rebuild for python-3.10

* Mon Apr 19 2021 daviddavid <daviddavid> 6.4.0-2.mga9
+ Revision: 1717004
- relax prompt-toolkit dependency

* Sun Apr 18 2021 daviddavid <daviddavid> 6.4.0-1.mga9
+ Revision: 1716627
- new version: 6.4.0

* Sat Mar 27 2021 daviddavid <daviddavid> 6.2.0-2.mga9
+ Revision: 1710956
- rebuild for python 3.9
- fix owner of python3 sitelib dir

* Wed Sep 09 2020 guillomovitch <guillomovitch> 6.2.0-1.mga8
+ Revision: 1623940
- new version 6.2.0

* Wed Aug 19 2020 guillomovitch <guillomovitch> 6.1.0-0.mga8
+ Revision: 1616147
- new version 6.1.0

* Sun Feb 16 2020 umeabot <umeabot> 6.0.0-3.mga8
+ Revision: 1533433
- Mageia 8 Mass Rebuild

* Sat Sep 21 2019 daviddavid <daviddavid> 6.0.0-2.mga8
+ Revision: 1444390
- rebuild for python3.8

* Thu Jan 17 2019 wally <wally> 6.0.0-1.mga7
+ Revision: 1357673
- new version 6.0.0

* Sat Jan 12 2019 tmb <tmb> 5.1.0-4.mga7
+ Revision: 1355286
- rebuild for python 3.7

* Wed Jan 09 2019 shlomif <shlomif> 5.1.0-3.mga7
+ Revision: 1353307
- add BRs

* Thu Sep 20 2018 umeabot <umeabot> 5.1.0-2.mga7
+ Revision: 1279167
- Mageia 7 Mass Rebuild

* Tue Aug 08 2017 philippem <philippem> 5.1.0-1.mga7
+ Revision: 1139005
- update to 5.1.0, since ipython is py3 only, we provide only py3

* Sat Aug 05 2017 pterjan <pterjan> 5.0.0-2.mga7
+ Revision: 1135234
- Rebuild for python 3.6

* Tue Jul 19 2016 joequant <joequant> 5.0.0-1.mga6
+ Revision: 1042588
- update to 5.0.0

* Mon Apr 18 2016 philippem <philippem> 4.1.1-1.mga6
+ Revision: 1003411
- imported package jupyter-console

